- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# sys_arch.h File Reference

Go to the source code of this file.

## Defines
#define | SYS_MBOX_NULL NULL
#define | SYS_SEM_NULL NULL
## Typedefs
typedef sys_mbox * | sys_mbox_t
typedef sys_sem * | sys_sem_t
typedef sys_thread * | sys_thread_t

## Define Documentation

#define SYS_MBOX_NULL NULL

Definition at line 38 of file sys_arch.h.

Referenced by accept_function(), do_delconn(), do_listen(), err_tcp(), netconn_bind(), netconn_connect(), netconn_delete(), netconn_listen(), netconn_new(), netconn_recv(), recv_tcp(), recv_udp(), and sys_mbox_free().

#define SYS_SEM_NULL NULL

Definition at line 39 of file sys_arch.h.

Referenced by accept_function(), err_tcp(), netconn_close(), netconn_delete(), netconn_new(), netconn_write(), poll_tcp(), sent_tcp(), and sys_sem_free().

## Typedef Documentation

typedef struct sys_mbox* sys_mbox_t

Definition at line 45 of file sys_arch.h.

typedef struct sys_sem* sys_sem_t

Definition at line 42 of file sys_arch.h.

typedef struct sys_thread* sys_thread_t

Definition at line 48 of file sys_arch.h.